/****************************
CrushFTP GUI Panel custom js
*****************************/
/* Do not change these lines */
var panelIPServers = {};
panelIPServers.serverData = {};
panelIPServers.localization = {};
/****************************/

// Panel details
var panelName = "IPServers";

// Localizations
panelIPServers.localization = {
	headerText : " Server items: (FTP/FTPS/SFTP/HTTP &amp; WebDAV/HTTPS &amp; WebDAV) ",
	btnRemoveText : "Remove",
	btnAddText : "Add",
	lblUserConnectionGroupsText : "User Connection Groups ",
	btnRemoveText : "Remove",
	btnAddText : "Add",
	lblGeneralTabText : "General",
	lblAdvancedTabText : "Advanced",
	lblSSHTabText : "SSH",
	lblIPText : "IP :",
	lblPortText : "Port :",
	lblUserConnectionGroupsText : "User Connection Groups ",
	lblServerTypeFTPText : "FTP Access (FTP://)",
	lblFormPassivePortRangeText : " Passive port range:",
	lblFTPAwareRouterText : " FTP Aware Router / Firewall",
	lblIPUsedForPassiveText : " IP used for Passive:",
	lblFTPWelcomeMessageText : " FTP Welcome Message:",
	lblServerTypeHTTPText : " Web Access (HTTP://) (This is also WebDAV.) ",
	lblServerTypeHTTPSText : " Web Access SSL (HTTPS://) (This is also WebDAV.) ",
	lblServerTypeSSLFTPText : " Implicit SSL FTP (FTP://) ",
	lblServerTypeSSHFTPText : " SSH FTP (SFTP://) ",
	lblServerTypeServerBeatText : " ServerBeat Virtual IP (ServerBeat://) ",
	lblServerTypeDMZText : "DMZ (DMZ://) ",
	lblNameText : "Name (Optional):",
	lblFTPOptionsText : "FTP Options:",
	lblFTPOptionRequireEncryptionText : " Require Encryption ",
	lblFTPOptionExplicitSSLText : " Explicit SSLv3 (FTPS) ",
	lblFTPOptionExplicitTLSText : " Explicit TLSv1 (FTPS) ",
	lblFTPOptionRequireSecureDataChannelText : " Require data channel to be secure ",
	lblHTTPOptionsText : "HTTP/HTTPS Options:",
	lblHTTPOptionAllowUsersToUseWebDAVText : " Allow Users To Use WebDAV. ",
	lblHTTPOptionRedirectToHTTPSText : " Redirected to HTTPS:// ",
	lblHTTPOptionNewWebInterfaceText : " New WebInterface ",
	lblHTTPOptionHttpReverseProxyText : "ReverseProxy Path (CrushFTP is behind a proxy):",
	lblHTTPOptionsReverseProxyText : "ReverseProxy Server Configuration:",
	lblHTTPOptionReverseProxyDomainText : "ReverseProxy Domain:",
	lblHTTPOptionReverseProxyUrlText : "ReverseProxy URL:",
	lblHTTPOptionReverseProxyPathText : "ReverseProxy Path:",
	lblTrustHeadersText : "Trust Headers:",
	lblSSLOptionsText : "SSL Options: (Overrides Global Encryption SSL Settings)",
	lblSSLOptionKeyStoreLocationText : "Keystore Location:",
	btnKeyStoreLocationBrowseText : "Browse",
	lblSSLOptionKeyStorePasswordText : "Keystore Password:",
	lblSSLOptionKeyPasswordText : "Key Password:",
	lblSSLRequireValidClientCertiText : " Require valid client certificate. ",
	lblPriorityOptionsText : "Priority Options:",
	lblPriorityOptionCommandDelayText : "Command Delay Interval:",
	lblServerHostKeyRSAText : "Server Host Key (RSA):",
	lblSSHRSAEnabledText : " Enabled ",
	lblServerHostKeyDSAText : "Server Host Key (DSA):",
	lblSSHDSAEnabledText : " Enabled ",
	btnBrowseText : "Browse",
	lblServerBeatVirtualIP1Text : "Virtual IP 1 :",
	lblServerBeatVirtualIP2Text : "Virtual IP 2 :",
	lblServerBeatEthernetText : "Ethernet Adapter OS Name :",
	lblSSHSupportedCiphersText : "Supported Ciphers & Preferred Order :",
	lblEnableSSHDebugLoggingText : " Enable debug logging ",
	lblSSHTextEncodingText : "Text Encoding :",
	lblSSHAsyncText : " Use Asynchronous Threading? ",
	lblSSHSessionTimeoutText : "Idle Timeout(seconds) :",
	lblSSHRequirePasswordText : " Require Password Authentication? ",
	lblSSHRequirePublickeyText : " Require Public Key Authentication? ",
	btnResetText : "Reset All Prefs to Default",
	btnCancelText : "Cancel",
	btnOKText : "Ok"
};

// Assign localizations
localizations.panels[panelName] = $.extend(panelIPServers.localization, localizations.panels[panelName]);

// Interface methods
var _panel = $("#pnl" + panelName);
var formServerList = $("#serverlist", _panel);

panelIPServers.defaultValue = {
	adapter : [{text : "en0"}],
	allow_webdav : [{text : "true"}],
	busyMessage : [{text : ""}],
	commandDelayInterval : [{text : "0"}],
	connected_users : [{text : "0"}],
	connection_number : [{text : "0"}],
	customKeystore : [{text : ""}],
	customKeystoreCertPass : [{text : ""}],
	customKeystorePass : [{text : ""}],
	display : [{text : ""}],
	explicit_ssl : [{text : "false"}],
	explicit_tls : [{text : "false"}],
	ftp_aware_router : [{text : "false"}],
	ftp_welcome_message : [{text : ""}],
	httpFormat : [{text : "HTML"}],
	httpReverseProxy : [{text : ""}],
	reverseProxyUrl : [{text : ""}],
	reverseProxyDomain : [{text : ""}],
	reverseProxyPath : [{text : "/"}],
	httpTrustHeaderVariables : [{text : ""}],
	https_redirect : [{text : "false"}],
	index1 : [{text : "1"}],
	index2 : [{text : "2"}],
	ip : [{text : "lookup"}],
	linkedServer : [{text : ""}],
	needClientAuth : [{text : "false"}],
	new_http : [{text : "true"}],
	pasv_ports : [{text : "1025-65535"}],
	port : [{text : ""}],
	require_encryption : [{text : "false"}],
	require_secure : [{text : "true"}],
	running : [{text : "true"}],
	serverType : [{text : "FTP"}],
	server_ip : [{text : "auto"}],
	server_item_name : [{text : ""}],
	serverbeatEnabled : [{text : "true"}],
	vip : [{text : ""}],
	vip2 : [{text : ""}],
	ssh_rsa_key : [{text : "ssh_host_rsa_key"}],
	ssh_dsa_key : [{text : "ssh_host_dsa_key"}],
	ssh_cipher_list : [{text : "aes128-cbc,aes128-ctr,3des-cbc,blowfish-cbc,arcfour128,arcfour"}],
	ssh_text_encoding : [{text : "UTF8"}],
	ssh_session_timeout : [{text : "300"}],
	ssh_rsa_enabled : [{text : "true"}],
	ssh_dsa_enabled : [{text : "true"}]
};

panelIPServers.init = function(){
	applyLocalizations(panelName, localizations.panels);
	setPageTitle(panelIPServers.localization.Header, true);
	$("#settingsPanel", _panel).block({
		message: null,
		overlayCSS : {
			backgroundColor: '#fff',
			'-webkit-border-radius': '10px',
            '-moz-border-radius': '10px',
            opacity: .5,
			cursor: 'normal',
			padding : '2px'
		}
	});
	if(!panelIPServers.bindData())
	{
		panelIPServers.showHideItemsForServerType();
		$("#settingsPanel", _panel).clearForm();
	}
}

panelIPServers.showHideItemsForServerType = function()
{
	var ftpOpts = $(".ftpOpts", _panel).show();
	var httpsOpts = $(".httpsOpts", _panel).show();
	var sslOpts = $(".sslOpts", _panel).show();

	var serverType = $("input[name='serverType']:checked", _panel);
	if(serverType && serverType.length >0 )
		serverType = serverType.attr("id").replace("rdb","");

	var onlyFTP = $(".onlyFTP", _panel).hide();
	if(serverType == "SFTP")
	{
		$("li.sshTab").show();
		var item = formServerList.find("li.ui-selected");
		if(!item || item.length==0)return;
		var data = item.data("controlData");
		var dataAvailable = false;
		if(data)
		{
			$("#IPSSSH", _panel).find("input").each(function(){
				if(typeof data[$(this).attr("id")] != "undefined")
				{
					dataAvailable = true;
					return false;
				}
			});
			if(!dataAvailable)
			{
				data.ssh_rsa_key = [{text : "ssh_host_rsa_key"}];
				data.ssh_dsa_key =  [{text : "ssh_host_dsa_key"}];
				data.ssh_cipher_list =  [{text : "aes128-cbc,aes128-ctr,3des-cbc,blowfish-cbc,arcfour128,arcfour"}];
				data.ssh_text_encoding = [{text : "UTF8"}];
				data.ssh_session_timeout = [{text : "300"}];
				data.ssh_rsa_enabled = [{text : "true"}];
				data.ssh_dsa_enabled = [{text : "true"}];
			}
		}
		item.data("controlData", data);
		if(!dataAvailable)
		{
			bindValuesFromXML($("#IPSSSH", _panel), data)
		}
	}
	else
	{
		$("li.sshTab").hide();
		if($("#IPSSSH").is(":visible"))
		{
			$("#settingsPanel").find(".tabs").tabs("select", 0);
		}
		if(getInputValue("rdbFTP", _panel) || getInputValue("rdbFTPS", _panel))
		{
			$("input[name='serverType']:checked", _panel).closest("p").after(onlyFTP.show());
		}
	}

	if(serverType == "FTP" || serverType == "DMZ" || serverType == "ServerBeat")
	{
		httpsOpts.hide();
	}

	if(serverType == "HTTPS" || serverType == "HTTP" || serverType == "DMZ")
	{
		ftpOpts.hide();
	}

	if(serverType == "SFTP" || serverType == "ServerBeat")
	{
		httpsOpts.hide();
		ftpOpts.hide();
		sslOpts.hide();
	}

	if(getInputValue("rdbServerBeat", _panel))
		$("#serverBeatOptions", _panel).show();
	else
		$("#serverBeatOptions", _panel).hide();

}

panelIPServers.bindEvents = function()
{
	var settingsPanel  = $("#settingsPanel", _panel);
	formServerList.selectableAdvanced({
		select: function(event, ui) {
			var selected = $(ui.selection);
			if(formServerList.hasClass("single"))
			{
				selected.parent().find(".ui-selected, .ui-state-focus").removeClass("ui-selected ui-state-active ui-state-focus");
				selected.addClass("ui-selected ui-state-active");
			}
			panelIPServers.showDetails();
			panelIPServers.showHideItemsForServerType();
			return false;
		},
		change: function(event, ui) {
			var selected = $(ui.selection).filter(":last");
			if(formServerList.hasClass("single"))
			{
				selected.parent().find(".ui-selected, ui-state-focus").removeClass("ui-selected ui-state-active ui-state-focus");
				selected.addClass("ui-selected ui-state-active");
			}
			panelIPServers.showDetails();
			panelIPServers.showHideItemsForServerType();
			return false;
		},
		remove:function(){
			$("a#removeServerItem").click();
			return false;
		}
	});

	$("input[name='serverType']", _panel).change(function(){
		panelIPServers.showHideItemsForServerType();
	});

	$("a#addServerItem").click(function(){
		function serverArray()
		{
			var servers = [];
			$("#linkedServer", _panel).find("option").each(function(){
				servers.push($(this).attr("val") + "|" + $(this).attr("text"));
			});
			return servers;
		}
		var port =  21;
		jPrompt("Please enter a port to listen on:", port, "PORT", function(value){
			port = value;
			if(port != null)
			{
				var group = 0;
				jPrompt("Use which server group?", group, "Pick A Server Group", function(value){
					group = value;
					if(group!=null)
						panelIPServers.addServer(port, group);
				}, serverArray());
				itemsChanged(true);
			}
		});
		return false;
	});

	$("a#removeServerItem").click(function(){
		common.UI.removeItem($("#serverlist", _panel), function(){
			panelIPServers.showDetails();
			itemsChanged(true);
		});
		return false;
	});

	$("a#addUserConnection").click(function(){
		var linkParent = $(this).closest("fieldset").parent();
		var name =  "";
		var formServerGroupList = $("#linkedServer, #drpConnectionGroupsOption", _panel);
		jPrompt("Enter a name for this user connection group:", name, "User Connection Group Name", function(value){
			name = value;
			if(name)
			{
				linkParent.block({
					message:  '<div><span style="float: left; margin-right: 0.3em;" class="ui-icon ui-icon-refresh"></span>Saving..</div>',
					css: {
						border: 'none',
						padding: '5px',
						backgroundColor: '#000',
						'-webkit-border-radius': '10px',
						'-moz-border-radius': '10px',
						opacity: .5,
						color: '#fff',
						'text-align':'left'
					}
				});
				common.data.setXMLPrefs("server_settings/server_groups/" + $("#linkedServer", _panel).find("option").length, "vector", "add", "<server_groups_subitem>"+name+"</server_groups_subitem>", function(data){
					data = $.xml2json(data, true);
					if(data.response_status && getTextValueFromXMLNode(data.response_status) && getTextValueFromXMLNode(data.response_status) == "OK")
					{
						formServerGroupList.append("<option value='"+name+"'>"+name+"</option>").val(name);
						common.UI.showIndicator();
						common.data.updateLocalPrefs(function(){
							common.UI.hideIndicator();
							linkParent.unblock();
							placeHolder.removeData("hasChanged");
							panelIPServers.init();
						});
					}
					else
					{
						growl("Error while saving", "User connection group \"" + name + "\" was not added", true);
					}
				});
			}
		});
		return false;
	});

	$("a#removeUserConnection").click(function(){
		var linkParent = $(this).closest("fieldset").parent();
		var selectedItem = $("select.ConnectionListBox", _panel).val();
		var selectedIndex = $("select.ConnectionListBox", _panel).attr("selectedIndex");
		var formServerGroupList = $("#linkedServer, #drpConnectionGroupsOption", _panel);
		if(selectedItem)
		{
			jConfirm("Are you sure you wish to remove this group?", "Confirm", function(value){
				if(value)
				{
					linkParent.block({
						message:  '<div><span style="float: left; margin-right: 0.3em;" class="ui-icon ui-icon-refresh"></span>Saving..</div>',
						css: {
							border: 'none',
							padding: '5px',
							backgroundColor: '#000',
							'-webkit-border-radius': '10px',
							'-moz-border-radius': '10px',
							opacity: .5,
							color: '#fff',
							'text-align':'left'
						}
					});
					common.data.setXMLPrefs("server_settings/server_groups/" + selectedIndex, "vector", "remove", "<server_groups_subitem>"+selectedItem+"</server_groups_subitem>", function(data){
						data = $.xml2json(data, true);
						if(data.response_status && getTextValueFromXMLNode(data.response_status) && getTextValueFromXMLNode(data.response_status) == "OK")
						{
							common.UI.showIndicator();
							common.data.updateLocalPrefs(function(){
								common.UI.hideIndicator();
								linkParent.unblock();
								placeHolder.removeData("hasChanged");
								panelIPServers.init();
							});
						}
						else
						{
							growl("Error while removing", "User connection group \"" + selectedItem + "\" was not removed", true);
						}
					});
				}
			});
		}
		else
		{
			growl("Nothing selected", "Please select group from a list and try again", true, 3000);
		}
		return false;
	});

	settingsPanel.find("input, select, textarea").bind("change", function(){
		var item = formServerList.find("li.ui-selected");
		if(!item || item.length==0)return;
		var data = item.data("controlData");
		if(data)
		{
			var elemID = $(this).attr("id");
			if(elemID.indexOf("rdb") >=0)
			{
				data["serverType"] = [{text: elemID.replace("rdb", "")}];
			}
			else
			{
				var isBool = $(this).attr("type") == "radio" || $(this).attr("type") == "checkbox";
				data[elemID] = [{text: isBool ? $(this).is(":checked").toString() : $(this).val()}];
			}
		}
		item.data("controlData", data);
	});

	settingsPanel.find("input[type='text'], textarea").bind("textchange", function(){
		var item = formServerList.find("li.ui-selected");
		if(!item || item.length==0)return;
		var hasError = false;
		var msgs = [];
		$(this).parent().find(".validateError").remove();
		if($(this).is("#ip"))
		{
			var ip = $(this).val();
			if(!ip || ip.length == 0 || !isValidAnyIPAddress(ip, ["lookup"]))
			{
				msgs.push("Enter valid IP address");
				hasError = true;
			}
		}
		else if($(this).is("#port"))
		{
			var port = $(this).val();
			if(!port || port.length == 0 || !isNumeric(port, true))
			{
				msgs.push("Port should be numeric value");
				hasError = true;
			}
		}
		if(msgs.length>0)
		{
			$(this).after("<span class='ui-state-error validateError ui-corner-all' style='margin-left:10px;padding:2px 10px;'>"+ msgs.join("") +"</span>");
			$("#serverlist").closest("td").block({
				message : ""
			});
			$("#saveContent").hide();
		}
		if(!hasError)
		{
			$("#serverlist").closest("td").unblock();
			$("#saveContent").show();
			var data = item.data("controlData");
			if(data)
			{
				var elemID = $(this).attr("id");
				if(elemID.indexOf("rdb") >=0)
				{
					data["serverType"] = [{text: elemID.replace("rdb", "")}];
				}
				else
				{
					var isBool = $(this).attr("type") == "radio" || $(this).attr("type") == "checkbox";
					data[elemID] = [{text: isBool ? $(this).is(":checked").toString() : $(this).val()}];
				}
			}
			item.data("controlData", data);
		}
	});

	settingsPanel.find("#ip, #port").bind("blur", function(){
		var msgs = [];
		$(this).parent().find(".validateError").remove();
		if($(this).is("#ip"))
		{
			var ip = $(this).val();
			if(!ip || ip.length == 0 || !isValidAnyIPAddress(ip, ["lookup"]))
			{
				msgs.push("Enter valid IP address");
			}
		}
		else if($(this).is("#port"))
		{
			var port = $(this).val();
			if(!port || port.length == 0 || !isNumeric(port, true))
			{
				msgs.push("Port should be numeric value");
			}
		}
		if(msgs.length>0)
		{
			$(this).after("<span class='ui-state-error validateError ui-corner-all' style='margin-left:10px;padding:2px 10px;'>"+ msgs.join("") +"</span>");
			$("#serverlist").closest("td").block({
				message : ""
			});
			$("#saveContent").hide();
		}
		else
		{
			$("#serverlist").closest("td").unblock();
			$("#saveContent").show();
		}
	});

	$("a.serverFilePickButton", _panel).each(function(){
		$(this).click(function(){
			var curElem = $(this);
			curElem.crushFtpVFSBrowserPopup({
				type : curElem.attr("PickType") || 'file',
				callback : function(selectedPath){
					$("#" + curElem.attr("rel"), _panel).val(selectedPath).trigger("change");
				}
			});
			return false;
		});
	});
}

panelIPServers.addServer = function(port, group)
{
	var curItem = $.extend(true, {}, panelIPServers.defaultValue);
	var msgs = panelIPServers.validateItems(port, common.data.getTextContentFromPrefs(curItem, "ip"));
	if(port && group && msgs.length==0)
	{
		curItem.port = [{text:port}];
		curItem.linkedServer = [{text:group}];
		var serverType = common.data.getTextContentFromPrefs(curItem, "serverType");
		var ip = common.data.getTextContentFromPrefs(curItem, "ip");
		var port = common.data.getTextContentFromPrefs(curItem, "port");
		var server = serverType + "://" + ip + ":" + port;
		var newElem = $("<li class='ui-widget-content'>"+server+"</li>");
		formServerList.append(newElem);
		newElem.addClass("ui-widget-content ui-selectable-item");
		newElem.data("controlData", curItem);
		formServerList.selectableAdvanced("refresh");
		panelIPServers.showDetails();
		panelIPServers.showHideItemsForServerType();
	}
	else
	{
		growl("Please select valid options. Options selected",  msgs.join("<br>") + "<br/> Group:" + group, true);
	}
}

panelIPServers.bindData = function()
{
	var serverList = common.data.getSubValueFromPrefs("server_list");
	var selectedIndex = formServerList.find("li.ui-selected").index();
	formServerList.empty();
	for(var i=0;i<serverList.length;i++)
	{
		var curItem = serverList[i];
		if(curItem)
		{
			var serverType = common.data.getTextContentFromPrefs(curItem, "serverType");
			var ip = common.data.getTextContentFromPrefs(curItem, "ip");
			var port = common.data.getTextContentFromPrefs(curItem, "port");
			var server = serverType + "://" + ip + ":" + port;
			var newElem = $("<li class='ui-widget-content'>"+server+"</li>");
			formServerList.append(newElem);
			newElem.data("controlData", curItem);
		}
	}

	var groupList = common.data.getSubValueFromPrefs("server_groups");
	var formServerGroupList = $("#linkedServer, #drpConnectionGroupsOption", _panel).empty();
	for(var i=0;i<groupList.length;i++)
	{
		var curItem = groupList[i];
		if(curItem)
		{
			var serverGroup = curItem.text;
			var newElem = $("<option val='"+serverGroup+"'>"+serverGroup+"</option>");
			formServerGroupList.append(newElem);
			newElem.data("controlData", curItem);
		}
	}
	$("#linkedServer", _panel).append("<option value=\"@AutoDomain\">@AutoDomain</option>")
	panelIPServers.bindEvents();
	var showingData = false;
	if(selectedIndex>=0)
	{
		selectedIndex += 1;
		if(formServerList.find("li:nth-child("+selectedIndex+")").length>0)
		{
			$("#settingsPanel", _panel).unblock();
			formServerList.find("li:nth-child("+selectedIndex+")").addClass("ui-selected ui-state-active");
			panelIPServers.showDetails();
			panelIPServers.showHideItemsForServerType();
			showingData = true;
		}
	}
	return showingData;
}

panelIPServers.validateItems = function(port, ip)
{
	var msgs = [];
	if(!port || port.length == 0 || !isNumeric(port, true))
	{
		msgs.push("Port should be numeric value");
	}
	if(!ip || ip.length == 0 || !isValidAnyIPAddress(ip, ["lookup"]))
	{
		msgs.push("Enter valid IP address");
	}
	return msgs;
}

panelIPServers.showDetails = function()
{
	$("#settingsPanel", _panel).unblock();
	var formServerList = $(".ui-selected", _panel);
	var server = formServerList.data("controlData");
	if(formServerList && server)
	{
		bindValuesFromXML(_panel, server)
		checkUnchekInput($("#rdb" + common.data.getTextContentFromPrefs(server, "serverType"), _panel), true);
	}
	else
	{
		bindValuesFromXML(_panel, false);
	}
}

panelIPServers.saveContent = function()
{
	if(placeHolder.data("hasChanged"))
	{
		common.UI.showIndicator(false, false, "Please wait..");
		var xmlString = [];
		var formServersList = $("#serverlist", _panel).find("li");
		var isSSH = $("#rdbSFTP", _panel).is(":checked");
		var isDMZ = $("#rdbDMZ", _panel).is(":checked");

		var ftpOpts = $(".ftpOpts", _panel).show();
		var httpsOpts = $(".httpsOpts", _panel).show();
		var sslOpts = $(".sslOpts", _panel).show();

		var serverType = $("input[name='serverType']:checked", _panel)
		if(serverType && serverType.length >0 )
			serverType = serverType.attr("id").replace("rdb","");

		var FTPFields = $(".onlyFTP", _panel);
		if(formServersList.length>0)
		{
			xmlString.push("<server_list type=\"vector\">");
			formServersList.each(function(){
				xmlString.push("<server_list_subitem type=\"properties\">");
				var controlData = $(this).data("controlData");
				for(var item in controlData)
				{
					if(controlData[item].length)
					{
						if(controlData[item][0].text)
						{
							if(serverType == "DMZ")
							{
								if($("#IPSSSH", _panel).find("input#" + item).length==0 && FTPFields.find("input#" + item).length==0)
									xmlString.push("<"+item+">"+common.methods.htmlEncode(controlData[item][0].text)+"</"+item+">");
							}
							else if(serverType == "SFTP")
							{
								if(FTPFields.find("input#" + item).length==0)
									xmlString.push("<"+item+">"+common.methods.htmlEncode(controlData[item][0].text)+"</"+item+">");
							}
							else
							{
								if($("#IPSSSH", _panel).find("input#" + item).length==0)
									xmlString.push("<"+item+">"+common.methods.htmlEncode(controlData[item][0].text)+"</"+item+">");
							}
						}
					}
				}
				if(isDMZ)
				{
					xmlString.push("<server_ip>auto</server_ip>");
				}
				xmlString.push("</server_list_subitem>");
			});
			xmlString.push("</server_list>");
		}
		var formSubItem = xmlString.join("\n");
		var action = xmlString.length>0 ? "reset" : "remove";
		common.data.setXMLPrefs("server_settings/server_list/0"
			, "vector"
			, action
			, formSubItem
			, function(data){
				data = $.xml2json(data, true);
				if(data.response_status && getTextValueFromXMLNode(data.response_status) && getTextValueFromXMLNode(data.response_status) == "OK")
				{
					common.data.updateLocalPrefs(function(){
						common.UI.hideIndicator();
						growl("Data saved", "Your changes are saved", false, 5000);
						placeHolder.removeData("hasChanged");
						panelIPServers.init();
					});
				}
				else
				{
					growl("Error while saving", "Your changes are not saved", true);
				}
			}
		);
	}
	else
	{
		growl("No changes made", "", false, 3000);
	}
}